package com.jsowell.pile.service;

import java.util.List;
import com.jsowell.pile.domain.MemberGroupRelation;
public interface MemberGroupRelationService{


    int deleteByPrimaryKey(Integer id);

    int insert(MemberGroupRelation record);

    int insertOrUpdate(MemberGroupRelation record);

    int insertOrUpdateSelective(MemberGroupRelation record);

    int insertSelective(MemberGroupRelation record);

    MemberGroupRelation selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MemberGroupRelation record);

    int updateByPrimaryKey(MemberGroupRelation record);

    int updateBatch(List<MemberGroupRelation> list);

    int updateBatchSelective(List<MemberGroupRelation> list);

    int batchInsert(List<MemberGroupRelation> list);

    int deleteRelationByGroupCodeAndMemberId(String groupCode, String memberId);
}
